Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 518596 (CVE-2014-6060) - <net-misc/dhcpcd-6.4.3: Denial of service (CVE-2014-6060)
Summary: <net-misc/dhcpcd-6.4.3: Denial of service (CVE-2014-6060)
Status: RESOLVED FIXED
Alias: CVE-2014-6060
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://seclists.org/oss-sec/2014/q3/261
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-30 18:42 UTC by William Hubbs
Modified: 2014-09-10 05:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William Hubbs gentoo-dev 2014-07-30 18:42:42 UTC
Arch teams:

I will stable this on amd64, but we need it stabled everywhere else
asap. The issue is that Roy advised me that there is a DoS attack vector
in dhcpcd versions from 4.0.0 to 6.4.2 which is fixed in 6.4.3 by this
patch [1].


http://roy.marples.name/projects/dhcpcd/ci/1d2b93aa5ce25a8a710082fe2d36a6bf7f5794d5?sbs=0
Comment 1 William Hubbs gentoo-dev 2014-07-30 18:46:08 UTC
Please test and stabilize asap.

Thanks,

William
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-07-30 19:05:13 UTC
x86 stable
Comment 3 Kristian Fiskerstrand gentoo-dev Security 2014-07-30 19:26:36 UTC
CVE request: http://seclists.org/oss-sec/2014/q3/261
Comment 4 Jeroen Roovers gentoo-dev 2014-07-30 23:03:46 UTC
Stable for HPPA.
Comment 5 Tobias Klausmann gentoo-dev 2014-07-31 15:07:29 UTC
Stable on alpha.
Comment 6 Joe Jezak (RETIRED) gentoo-dev 2014-07-31 18:14:06 UTC
Marked ppc/ppc64 stable.
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-08-01 20:04:28 UTC
ia64 stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-08-01 20:10:44 UTC
sparc stable
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-08-01 20:13:39 UTC
arm stable

Cleanup, please!

glsa request filed.
Comment 10 William Hubbs gentoo-dev 2014-08-01 21:13:34 UTC
All vulnerable versions have been removed.

Thanks,

William
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2014-09-03 16:09:44 UTC
This issue was resolved and addressed in
 GLSA 201409-03 at http://security.gentoo.org/glsa/glsa-201409-03.xml
by GLSA coordinator Mikle Kolyada (Zlogene).
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2014-09-10 05:43:01 UTC
CVE-2014-6060 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-6060):
  The get_option function in dhcpcd 4.0.0 through 6.x before 6.4.3 allows
  remote DHCP servers to cause a denial of service by resetting the
  DHO_OPTIONSOVERLOADED option in the (1) bootfile or (2) servername section,
  which triggers the option to be processed again.